python3Packages.orjson: Disable failing tests on 32 bit
[NixPkgs.git] / pkgs / tools / admin / cjdns-tools / wrapper.sh
blob2e8d85b1dd91e0e176ed2d9fe166ccdd4776aea4
1 #!/usr/bin/env bash
3 export PATH="@@out@@/tools:$PATH"
5 set -eo pipefail
7 if ! cat /etc/cjdns.keys >/dev/null 2>&1; then
8 echo "ERROR: No permission to read /etc/cjdns.keys (use sudo)" >&2
9 exit 1
12 if [[ -z $1 ]]; then
13 echo "Cjdns admin"
15 echo "Usage: $0 <command> <args..>"
17 echo
18 echo "Commands:" $(find @@out@@/tools -maxdepth 1 -type f | sed -r "s|.+/||g")
20 _sh=$(which sh)
21 PATH="@@out@@/tools" PS1="cjdns\$ " "$_sh"
22 else
23 if [[ ! -e @@out@@/tools/$1 ]]; then
24 echo "ERROR: '$1' is not a valid tool" >&2
25 exit 2
26 else
27 "$@"